UPDATE-PASSWD(8)

NOM
update-passwd — Met à jour /etc/passwd, /etc/shadow et /etc/group de manière sécurisée

SYNOPSIS
update-passwd [options]

DESCRIPTION
update-passwd gère les mises à jour de /etc/passwd, /etc/shadow et /etc/group sur les systèmes Debian. Il compare les fichiers actuels avec les originaux distribués avec le paquet base-passwd, et met à jour toutes les entrées allouées globalement par le projet Debian (c'est-à-dire de 0 à 99). Des copies de sauvegarde des versions précédentes sont conservées avec l'extension « .org » (pour « original »).

OPTIONS
update-passwd suit la syntaxe usuelle des commandes GNU, avec les options longues commençant par deux tirets (« -- »).

-p, --passwd-master=FICHIER
    Utilise FICHIER comme original de la base de données « passwd ». La valeur par défaut est /usr/share/base-passwd/passwd.master.

-g, --group-master=FICHIER
    Utilise FICHIER comme original de la base de données « group ». La valeur par défaut est /usr/share/base-passwd/group.master.

-P, --passwd=FICHIER
    Utilise FICHIER comme base de données « passwd » du système. La valeur par défaut est /etc/passwd.

-S, --shadow=FICHIER
    Utilise FICHIER comme base de données « shadow » du système. La valeur par défaut est /etc/shadow.

-G, --group=FICHIER
    Utilise FICHIER comme base de données « group » du système. La valeur par défaut est /etc/group.

-s, --sanity-check
    Ne réalise que les tests de contrôle, mais ne touche à rien.

-v, --verbose
    Donne des informations précises sur ce qui est réalisé. Un second -v donne encore plus de précisions.

-n, --dry-run
    Ne fait rien, montre seulement ce qui va être fait.

-L, --no-locking
    Ne cherche pas à verrouiller la base de données des comptes. Cette option ne devrait être utilisée qu'à des fins de débogage. J'insiste : n'utilisez pas cette option à moins d'être vraiment sûr d'en avoir besoin !

-h, --help
    Affiche un résumé d'aide pour l'utilisation de update-passwd.

-V, --version
    Affiche le numéro de version.

VARIABLES D'ENVIRONNEMENT

DEBIAN_HAS_FRONTEND
    Si cette variable d'environnement est déclarée et l'argument --dry-run n'est pas donné, update-passwd utilise debconf pour demander quelles modifications effectuer. Chaque modification demandée produira un nouvel écran. La suppression d'utilisateurs ou de groupes, les modifications de UID, de GID ou de répertoire « home » sont demandées avec une priorité haute (« high »). Les ajouts d'utilisateur ou de groupe et les modifications d'interpréteur sont demandés avec une priorité moyenne (« medium »). Les questions concernant soit le déplacement des entrées au-dessus de l'entrée NIS du mode compat, soit le changement du champ GECOS d'un utilisateur, sont posées avec une priorité basse (« low »).

BOGUES
Pour l'instant update-passwd ne vérifie pas le fichier shadow. Il devrait vérifier si les entrées de passwd sont également dans le fichier shadow et vice versa, et que les mots de passe ne sont pas présents dans les deux fichiers.

AUTEUR
Wichert Akkerman <wakkerma@debian.org>

Ce programme a été écrit pour le projet Debian, et est placé sous le copyright 1999–2002 Wichert Akkerman et le copyright 2002, 2003 Colin Watson. Il est distribué sous la licence publique générale du projet GNU (« GPL ») version 2.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 8 août 2005 et mise à jour par Baptiste JAMMET en 2025.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.

N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10n-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.